Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity
Class AcegiMessageSource

    java.lang.Object
      org.springframework.context.support.AbstractMessageSource
          org.springframework.context.support.ResourceBundleMessageSource
              org.acegisecurity.AcegiMessageSource

All Implemented Interfaces:
  HierarchicalMessageSource, MessageSource

    public class AcegiMessageSource

extends ResourceBundleMessageSource

The default `MessageSource` used by Acegi Security.

All Acegi Security classes requiring messge localization will be default use this class. However, all such classes will also implement `MessageSourceAware` so that the application context can inject an alternative message source. Therefore this class is only used when the deployment environment has not specified an alternative message source.

Field Summary

Fields inherited from class org.springframework.context.support.AbstractMessageSource
`logger`

Constructor Summary
`AcegiMessageSource()`

Method Summary
`static MessageSourceAccessor` | `getAccessor()`

Methods inherited from class org.springframework.context.support.ResourceBundleMessageSource
`doGetBundle, getBundleClassLoader, getMessageFormat, getResourceBundle, resolveCode, resolveCodeWithoutArguments, setBasename, setBasenames, setBundleClassLoader, setClassLoader, toString`

Methods inherited from class org.springframework.context.support.AbstractMessageSource
`createMessageFormat, formatMessage, getDefaultMessage, getMessage, getMessage, getMessage, getMessageFromParent, getMessageInternal, getParentMessageSource, isAlwaysUseMessageFormat, isUseCodeAsDefaultMessage, renderDefaultMessage, resolveArguments, setAlwaysUseMessageFormat, setParentMessageSource, setUseCodeAsDefaultMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AcegiMessageSource

    public AcegiMessageSource()

Method Detail

### getAccessor

    public static MessageSourceAccessor getAccessor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.